Subject: A newbie question.....

From: "Nagendran Parasu" <[email-masked]>
Date: Tue, 11 Mar 1997 15:59:21 -0500 (EST)

hi,

   I am new to c-client and would appreciate if anyone can help me with
   the following:

   1.  How do I scan the whole message to find out the number of sections
       it has? I need this to specify the section in mail_fetchbody()
       calls. Is there any way to step thru the linked list
       of attachments?

   2.  How to get the headers in each mime attachment?
       
       for example, my message looks like this
       .
       .
       .
       .
       --------------30F532636978
       Content-Type: application/octet-stream; name="REQ.doc"
       Content-Transfer-Encoding: base64
       Content-Disposition: attachment; filename="REQ.doc"
       
       0M8R4KGxGuEAAAAAAAAAAAAAAAAAAAAAOwADAP7/CQAGAAAAAAAAAAAAAAAEAAAAAQAAAAAA
       .
       .
       .

       Do I have to fetch the text for that section and parse it myself?
       And can I add my own fields here with attachments? Let's say

       I want to add 
       Content-Author: nagu parasu
       Content-Valid-Till: 3rd december,

       etc.,

       I could not find any FAQ's other than the internal.doc that came with
       the source.

       Thanks,

       nagu

------------------------------------------------------------------------------
Nagendran Parasu                            email: [email-masked]
Amteva Technologies Inc.,                   Phone: 804-762-5514
5040, Sadler Road,                          Fax:   804-762-5542
Glen Allen, VA 23060                        http://www.amteva.com 
------------------------------------------------------------------------------